Package org.globus.gsi.stores

# Class ResourceCACertStore

java.lang.Object
org.globus.gsi.stores.ResourceSecurityWrapperStore<ResourceTrustAnchor,TrustAnchor>
org.globus.gsi.stores.ResourceCACertStore

public class ResourceCACertStore extends ResourceSecurityWrapperStore<ResourceTrustAnchor,TrustAnchor>
Created by IntelliJ IDEA. User: turtlebender Date: Dec 29, 2009 Time: 11:49:20 AM To change this template use File | Settings | File Templates.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ResourceCACertStore.TrustAnchorFilter`
File filter for determining a Trust Anchor

## Constructor Summary

Constructors
Constructor
Description
`ResourceCACertStore()`

## Method Summary

Modifier and Type
Method
Description
`ResourceTrustAnchor`
`create(GlobusResource globusResource)`
`FilenameFilter`
`getDefaultFilenameFilter()`
`protected org.apache.commons.logging.Log`
`getLog()`

### Methods inherited from class org.globus.gsi.stores.ResourceSecurityWrapperStore

`getCollection, getWrapperMap, loadWrappers, loadWrappers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceCACertStore

public ResourceCACertStore()

## Method Details

### create

public ResourceTrustAnchor create(GlobusResource globusResource) throws ResourceStoreException

Specified by:
  `create` in class `ResourceSecurityWrapperStore<ResourceTrustAnchor,TrustAnchor>`
Throws:
  `ResourceStoreException`

### getLog

protected org.apache.commons.logging.Log getLog()

Specified by:
  `getLog` in class `ResourceSecurityWrapperStore<ResourceTrustAnchor,TrustAnchor>`

### getDefaultFilenameFilter

public FilenameFilter getDefaultFilenameFilter()

Specified by:
  `getDefaultFilenameFilter` in class `ResourceSecurityWrapperStore<ResourceTrustAnchor,TrustAnchor>`